<?php
class INTERVALSearch extends SEARCHEngine {
 function __construct(REQUEST $req = NULL, $opts = false) {
    parent::__construct($req, $opts);
    
    $this->modules = array(
	"interval" => _("Dates")
    );

    $this->engine_search = array("interval");
    
 }

 function GetList($search_data, $module, $opts) {
    try {
	$ivl = INTERVAL::ParseInterval($search_data);
    } catch (ADEIException $ae) {
	return false;
    }
    
    list($from, $to) = split("-", $ivl);

    $title = date("M j, Y H:i:s", $from) . " - " .  date("M j, Y H:i:s", $to);

    return  array(
		array(
		    'title' => $title,
		    'props' => array(
			'window' => $ivl
		    ),
		    'description' => false,
		    'certain' => true
		)
    );	
 }
}
?>