<?php
require($ADEI_ROOTDIR . "/classes/aux/auxapplication.php");

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

switch ($_GET['target']) {
    case 'runs':
        $cpp = new AUXApplication("kdblistruns");
        $cpp->Run();
        break;
    case 'info':
        if (strlen($_GET['run'])>0) {
            $cpp = new AUXApplication("kdbgetrun");
            $args = array($_GET['run']);
            $cpp->Run($args);
        }
        else {
            $error = translate("No run specified");
        }
        break;
    default:
        if (isset($_GET['target']))
            $error = translate("Unknown target (%s) is specified",
                               $_GET['target']);
        else
            $error = translate("The target is not specified");
}

if ($error) {
    echo "<?xml version=\"1.0\"?>\n";
    echo "<result>\n";
    echo " <Error>$error</Error>\n";
    echo "</result>\n";
}

?>
