<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="html" version="1.0" encoding="utf-8"/>

 <xsl:template match="run">
    <p>
	<h4>Run Number: <xsl:value-of select="number"/></h4>
	Orca Version: <xsl:value-of select="orca_version"/><br/>
	Configuration: <xsl:value-of select="configuration"/><br/>
    </p>
 </xsl:template>

 <xsl:template match="/result">
  <div>
    <xsl:if test="//Error">
	<span class="error"><xsl:value-of select="//Error"/></span>
    </xsl:if>
    
    <xsl:if test="not(//Error)">
	<xsl:apply-templates select="run"/>
    </xsl:if>	
  </div>
 </xsl:template>
</xsl:stylesheet>
