<?php

/* Replaces 1999 values (INVALID) with NULL's */
class BADVALUEFilter implements SIMPLEDataFilter {
 var $badval;
 
 function __construct($nullvalue, &$opts = NULL) {
    if (is_array($opts)) {
	if (is_numeric($opts['badvalue'])) $this->badval = $opts['badvalue'];
	else $this->badval = -1;
    } else $this->badval = -1;
 }
 
 function ProcessVector(&$data, &$time, &$values) {
    foreach ($values as &$value) {
	if ($value == 1999) {
	    $value = NULL;
	}
    }
    
    return false;
 }
 
}



?>