<?php
global $ADEI_ID_DELIMITER;

header("Content-type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");


$id = $_GET['id'];
$child = 1;
if (isset($id)) {
    $tmp = split($ADEI_ID_DELIMITER, $id, 3);
    $prefix = $id . $ADEI_ID_DELIMITER;
    $parent = $id;
    
    $props = array(
	"db_server" => $tmp[0]
    );
    
    if (isset($tmp[1])) {
	$props["db_name"] = $tmp[1];
	if (isset($tmp[2])) {
	    $props["db_group"] = $tmp[2];
	    $type = 3;
	    $child = 0;
	} else {
	    $type = 2;
	}
    } else {
	$type = 1;
    }
} else {
    $prefix = "";
    $props = array();
    $type = 0;
    $parent = "0";
}


$tree = "";
try {
    switch ($type) {
     case 0:
	$req = new REQUEST($props);
	$list = $req->GetServerList();
	break;
     case 1:
	$req = new SERVERRequest($props);
	$list = $req->GetDatabaseList();
	break;
     case 2:
	$req = new SOURCERequest($props);
	$list = $req->GetGroupList();
	break;
     case 3:
	$req = new GROUPRequest($props);
	$list = $req->GetItemList();
	break;
    }
} catch (ADEIException $ex) {
    $ex->logInfo(NULL, $req);
    $err = xml_escape($ex->getInfo());
}


if ($err) {
    echo "<?xml version='1.0' encoding='UTF-8'?>
<tree id=\"$parent\">
  <item id=\"{$prefix}___error\" text=\"" . translate("Source tree generation is failed, error: %s", $err) . "\"/>
</tree>";
    return;

}

foreach ($list as $id => $info) {
    $tree.="<item id=\"{$prefix}{$id}\" text=\"" . xml_escape($info['name']) . "\" child=\"$child\" select=\"yes\"/>";
}

echo "<?xml version='1.0' encoding='UTF-8'?>
<tree id=\"$parent\">
 $tree
</tree>";

?>

