<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 <xsl:output method="xml" version="1.0" encoding="utf-8"/>

 <xsl:template match="Value">
    <xsl:element name="a">
	<xsl:attribute name="href">javascript:katrin.SetCustomProperties('run=<xsl:value-of select="@value"/>')</xsl:attribute>
	<xsl:value-of select="@name"/>
    </xsl:element>

    <xsl:if test="@description">
	<div><xsl:value-of select="description"/></div>
    </xsl:if>
    <br/>
 </xsl:template>

 <xsl:template match="/result">
  <div>
    <xsl:if test="//Error">
	<span class="error"><xsl:value-of select="//Error"/></span>
    </xsl:if>
    
    <xsl:if test="not(//Error)">
	<h4>Run Numbers</h4>
	<xsl:apply-templates select="Value"/>
    </xsl:if>	
  </div>
 </xsl:template>
</xsl:stylesheet>
